Name:           python-zope-event
Version:        3.5.1
Release:        2%{?dist}
Summary:        Zope Event Publication
Group:          Development/Languages
License:        ZPLv2.1
URL:            http://pypi.python.org/pypi/zope.event/
# Upstream accidentally used strange version
Source0:        http://pypi.python.org/packages/source/z/zope.event/zope.event-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python-sphinx

%description
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

This package contains the version for Python 2.

%package -n python3-zope-event
Summary:        Zope Event Publication (Python 3)

%description -n python3-zope-event
The zope.event package provides a simple event system. It provides
an event publishing system and a very simple event-dispatching system
on which more sophisticated event dispatching systems can be built.
(For example, a type-based event dispatching system that builds on
zope.event can be found in zope.component.)

This package contains the version for Python 3.

%prep
%setup -q -n zope.event-%{version}


%build
%{__python} setup.py build
%{__python3} setup.py build

# build the sphinx documents
pushd docs
PYTHONPATH=../src make html
rm -f _build/html/.buildinfo
popd


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%{__python3} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

%check
%{__python} setup.py test
%{__python3} setup.py test
 
%files
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.txt
%doc docs/_build/html/
%{python_sitelib}/zope/event/
%exclude %{python_sitelib}/zope/event/tests.py*
%dir %{python_sitelib}/zope/
%{python_sitelib}/zope.event-*.egg-info
%{python_sitelib}/zope.event-*-nspkg.pth

%files -n python3-zope-event
%doc CHANGES.txt COPYRIGHT.txt LICENSE.txt README.txt
%doc docs/_build/html/
%{python3_sitelib}/zope/event/
%exclude %{python3_sitelib}/zope/event/tests.py*
%exclude %{python3_sitelib}/zope/event/__pycache__/
%dir %{python3_sitelib}/zope/
%{python3_sitelib}/zope.event-*.egg-info
%{python3_sitelib}/zope.event-*-nspkg.pth



%changelog
* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Sep  1 2011 Robin Lee <cheeselee@fedoraproject.org> - 3.5.1-1
- Update to 3.5.1 (#728489)
- Build subpackage for Python 3.
- Include the sphinx documents
- Exclude the module for tests.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.5.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 31 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.0.1-4
- Add a missed percent character

* Tue Aug 31 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.0.1-3
- Remove python-zope-filesystem from requirements
- Own %%{python_sitelib}/zope/
- Spec cleaned up

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 3.5.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Thu Jun 17 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.0.1-1
- Update to 3.5.0-1
- Include more documents

* Sun Jul 5 2009 Conrad Meyer <konrad@tylerc.org> - 3.4.1-1
- Add missing BR on python-setuptools.
- Enable testing stuff as zope-testing is in devel.

* Sun Dec 14 2008 Conrad Meyer <konrad@tylerc.org> - 3.4.0-1
- Initial package.
